## org.apache.hadoop.fs
Class FileAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.FileAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class FileAlreadyExistsException

extends IOException

Used when target file already exists for any operation and is not configured to be overwritten.

See Also:
  Serialized Form

Constructor Summary
`FileAlreadyExistsException()`
`FileAlreadyExistsException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileAlreadyExistsException

    public FileAlreadyExistsException()

### FileAlreadyExistsException

    public FileAlreadyExistsException(String msg)

Copyright © 2009 The Apache Software Foundation